List config versions
GET
/v1/ns/{nsid}/config
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
Query Parameters
Section titled “Query Parameters”cursor
string
Opaque pagination cursor from previous page’s next_cursor
tag
string
Filter to a single version by tag
Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
required
boolean
versions
required
Array<object>
object
version
required
string
parent_version
string
tag
string
description
string
config_schema_version
integer
user_config_yaml
required
string
next_cursor
string
Examplegenerated
{ "success": true, "versions": [ { "version": "example", "parent_version": "example", "tag": "example", "description": "example", "config_schema_version": 1, "user_config_yaml": "example" } ], "next_cursor": "example"}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}